claw::math::line_2d< T > Class Template Reference

A straight line in a two dimensional space. More...

`#include <line_2d.hpp>`

## Public Types

typedef T | value_type
| The type of the values we store.
typedef line_2d< value_type > | self_type
| The type of the current class.
typedef coordinate_2d< value_type > | point_type
| The type of the reference point.
typedef vector_2d< value_type > | direction_type
| The type of the direction vector.

## Public Member Functions

template<class U>
| line_2d (const line_2d< U > &that)
| line_2d (const point_type &_origin, const direction_type &_direction)
| line_2d (const value_type &ox, const value_type &oy, const value_type &dx, const value_type &dy)
bool | parallel (const self_type &that) const
bool | orthogonal (const self_type &that) const
point_type | intersection (const self_type &that) const
value_type | y_value (const value_type &x) const

## Public Attributes

point_type | origin
| A reference point on the line.
direction_type | direction
| Direction.

## Detailed Description

template<class T>
class claw::math::line_2d< T >

A straight line in a two dimensional space.

Author
  Julien Jorge

Definition at line 45 of file line_2d.hpp.

## Member Typedef Documentation

## direction_type

template<class T>

typedef vector_2d<value_type> claw::math::line_2d< T >::direction_type

The type of the direction vector.

Definition at line 58 of file line_2d.hpp.

## point_type

template<class T>

typedef coordinate_2d<value_type> claw::math::line_2d< T >::point_type

The type of the reference point.

Definition at line 55 of file line_2d.hpp.

## self_type

template<class T>

typedef line_2d<value_type> claw::math::line_2d< T >::self_type

The type of the current class.

Definition at line 52 of file line_2d.hpp.

## value_type

template<class T>

typedef T claw::math::line_2d< T >::value_type

The type of the values we store.

Definition at line 49 of file line_2d.hpp.

## Member Data Documentation

## direction

template<class T>

direction_type claw::math::line_2d< T >::direction

Direction.

Definition at line 78 of file line_2d.hpp.

## origin

template<class T>

point_type claw::math::line_2d< T >::origin

A reference point on the line.

Definition at line 75 of file line_2d.hpp.

The documentation for this class was generated from the following file:

- line_2d.hpp